For Developers

Delete Rule

DELETE https://ed.link/api/v2/teams/:team_id/integrations/:integration_id/rules/:rule_id

Deletes a rule and triggers an integration materialization.

Permissions

Requires the rules.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:integration_idUUIDYesThe ID of the integration.
:rule_idUUIDYesThe ID of the rule to delete.

Sample Request

const response = await axios.delete(`https://ed.link/api/v2/teams/${team_id}/integrations/${integration_id}/rules/${rule_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{ "$request": "00000000-0000-0000-0000-000000000000" }